---
- name: copy kube config file on onap control server 
  copy:
    src: config
    dest: /tmp/config

- name: Declare k8sregion in AAI
  uri:
    url:
      "{{ aai_server }}:{{ aai_port }}/\
      aai/v13/cloud-infrastructure/cloud-regions/cloud-region/{{ CloudOwner }}/{{ RegionID }}"
    force_basic_auth: "yes"
    user: AAI
    password: AAI
    method: PUT
    status_code: 201
    validate_certs: "no"
    body_format: json
    headers:
      X-TransactionId: 11111
      X-FromAppId: ansible
      Accept: application/json
      Cache-Control: no-cache
    body:
      cloud-owner: "{{ CloudOwner }}"
      cloud-region-id: "{{ RegionID }}"
      cloud-type: k8s
      owner-defined-type: t1
      cloud-region-version: 1.0
      cloud-zone: OPNFV LaaS
      complex-name: Cruguil
      identity-url:
      sriov-automation: false
      cloud-extra-info:
        openstack-region-id: RegionOne
      esr-system-info-list:
        esr-system-info:
          - 
            esr-system-info-id: 55f97d59-6cc3-49df-8e69-926565f00066
            service-url: http://10.12.25.2:5000/v3
            user-name: demo
            password: onapdemo
            system-type: VIM
            ssl-insecure: true
            cloud-domain: Default
            default-tenant: OOF
            tenant-id: 6bbd2981b210461dbc8fe846df1a7808
            system-status: active
      relationship-list:
        relationship:
          -
            related-to: complex
            relationship-label: org.onap.relationships.inventory.LocatedIn
            related-link: /aai/v13/cloud-infrastructure/complexes/complex/cruguil
            relationship-data:
              -
                relationship-key: complex.physical-location-id
                relationship-value: cruguil

- name: Register k8sregion in multicloud
  uri:
    url:
      "{{ msb_server }}:{{ msb_port }}\
      /api/multicloud-titaniumcloud/v1/{{ CloudOwner }}/{{ RegionID }}/registry"
    validate_certs: "no"
    headers:
      Accept: application/json
      Content-Type: application/json
      Cache-Control: no-cache
    method: POST
    status_code: 202

- name: Jinja templating to set kube connectivity info
  delegate_to: localhost
  template:
    src:
        "templates/k8sconnectivity.j2"
    dest:
        "k8sconnectivity.json"

- name: copy k8sconnectivity.json on onap control server 
  copy:
    src: k8sconnectivity.json
    dest: /tmp/k8sconnectivity.json

- name: Post k8s connectivity info
  shell:
    curl -i -k -F "metadata=</tmp/k8sconnectivity.json;type=application/json" \
    -F file=@/tmp/config \
    -X POST "{{ msb_server }}:{{ msb_port }}/api/multicloud-k8s/v1/v1/connectivity-info"

- name: Remove files in tmp
  file:
    path: 
      - /tmp/config
      - /tmp/k8sconnectivity.json
    state: absent

- name: create k8s_profile directory in onap_tests
  delegate_to: localhost
  file:
    path: onap_tests/onap_tests/templates/k8s_profile
    state: directory

- name: Copy k8s_profile in onap_tests # noqa 301
  delegate_to: localhost
  become: no
  command:
    "cp roles/prepare_k8s/files/k8sprof.tar.gz \
    onap_tests/onap_tests/templates/k8s_profile/"
  tags:
      - skip_ansible_lint
